screenWidth = application:getDeviceWidth()
screenHeight = application:getDeviceHeight()

menu = gideros.class(Sprite)

function menu:onEnterFrame()
end

function OnMouseUp(button, event)
	if button:hitTestPoint(event.x,event.y) then
		print ("hi")
		sceneManager:changeScene("game", 1, SceneManager.moveFromBottom, easing.outBack)
	end
end

function CreditsPress(button, event)
	if button:hitTestPoint(event.x,event.y) then
		print ("going to credits")
		sceneManager:changeScene("credits", 1, SceneManager.moveFromBottom, easing.outBack)
	end
end

function menu:init()

	application:setBackgroundColor(0x00ff0)

	spud = Bitmap.new(Texture.new("pictures/potatoTrans.png"))
	spud.x, spud.y = (screenWidth/2.5),(screenHeight/5)
	spud.width, spud.height = 1, 1
	spud:setPosition(spud.x, spud.y)
	self:addChild(spud)

	flap = Bitmap.new(Texture.new("pictures/FlappyText.png"))
	flap.x, flap.y = (screenWidth/100),(screenHeight/2)
	flap.width, flap.height = 1, 1
	flap:setPosition(flap.x, flap.y)
	self:addChild(flap)

	button = Bitmap.new(Texture.new("pictures/PlayButton.png"))
	button.x, button.y = (screenWidth/5),(screenHeight/1.3)
	button.width, button.height = 1, 1
	button:setPosition(button.x, button.y)
	self:addChild(button)
	
	creditsbutton =  Bitmap.new(Texture.new("pictures/CreditsButton.png"))
	creditsbutton.x, creditsbutton.y = (screenWidth/20),(screenHeight/40)
	creditsbutton.width, creditsbutton.height = 1,1
	creditsbutton:setPosition(creditsbutton.x,creditsbutton.y)
	self:addChild(creditsbutton)

	randnum = math.random(1,2)
	
	--event listners
	self:addEventListener(Event.ENTER_FRAME, self.onEnterFrame, self)
	self:addEventListener("exitBegin", self.onExitBegin, self)
	self:addEventListener(Event.MOUSE_UP, OnMouseUp, button)
	self:addEventListener(Event.MOUSE_UP, CreditsPress, creditsbutton)
end

button = Bitmap.new(Texture.new("pictures/PlayButton.png"))
button.x, button.y = (screenWidth/5),(screenHeight/1.3)
button.width, button.height = 1, 1
button:setPosition(button.x, button.y)
button:setVisible(false)
stage:addChild(button)

creditsbutton =  Bitmap.new(Texture.new("pictures/CreditsButton.png"))
creditsbutton.x, creditsbutton.y = (screenWidth/20),(screenHeight/40)
creditsbutton.width, creditsbutton.height = 1,1
creditsbutton:setPosition(creditsbutton.x,creditsbutton.y)
creditsbutton:setVisible(false)
stage:addChild(creditsbutton)

function menu:onExitBegin()
	print ("yo")
	button:removeFromParent()
	self:removeEventListener(Event.MOUSE_UP, OnMouseUp, button)
	self:removeEventListener(Event.ENTER_FRAME, self.onEnterFrame, self)
end